Subject: Re: Bug#491456: unoconv: UnoException during conversion: URL seems to be an unsupported one.

From: [email-masked]
Date: Thu, 24 Jul 2008 21:21:10 +0200

hi Vincent,

Quoting Vincent Bernat <[email-masked]>:

> OoO  En cette nuit  nuageuse du  mercredi 23  juillet 2008,  vers 00:23,
> [email-masked] disait :
>
> >> > $ unoconv -v -f odt philippe_bourcier.rtf
> >> > Input file: philippe_bourcier.rtf
> >> > file:///home/philippe/data/cv/philippe_bourcier.rtf
> >> > unoconv:  UnoException   during  conversion:   URL  seems  to   be  an
> >> > unsupported one.
> >>
> >> Do you have  openoffice.org-writer installed?
>
> > $ aptitude search openoffice.org-writer
> > i openoffice.org-writer - OpenOffice.org office suite - word processor
> > i openoffice.org-writer2latex - Writer/Calc to LaTeX/XHTML converter
> extension
> > for OpenOffice.org
>
> I noticed that you have previously tried  on a pdf instead of a doc. May
> you try this one:
>  http://dag.wieers.com/cv/curriculum-vitae-dag-wieers.doc

$ unoconv -v -f odt curriculum-vitae-dag-wieers.doc
Input file: curriculum-vitae-dag-wieers.doc
file:///home/philippe/tmp/curriculum-vitae-dag-wieers.doc
unoconv: UnoException during conversion: URL seems to be an unsupported one.
The provided document cannot be converted to the desired format.
Traceback (most recent call last):
  File "/usr/bin/unoconv", line 567, in <module>
    main()
  File "/usr/bin/unoconv", line 546, in main
    convertor.convert(inputfn)
  File "/usr/bin/unoconv", line 451, in convert
    doc = self.desktop.loadComponentFromURL( inputurl , "_blank", 0, inputprops
)
__main__.IllegalArgumentException: URL seems to be an unsupported one.

> I think  that the "URL unsupported"  is a generic exception  to say that
> there  is no  filter to  open the  document. I  get it  if I  don't have
> -writer installed but maybe there are other conditions.
>
> Might you also try by moving out your .openoffice and .openoffice.org2?
$ ls -a ~ |grep openoffice
.openoffice.org2/
$ mv ~/.openoffice.org2 ~/.openoffice.org2.bck
$ unoconv -v -f odt curriculum-vitae-dag-wieers.doc
Input file: curriculum-vitae-dag-wieers.doc
file:///home/philippe/tmp/curriculum-vitae-dag-wieers.doc
unoconv: UnoException during conversion: URL seems to be an unsupported one.
The provided document cannot be converted to the desired format.
Traceback (most recent call last):
  File "/usr/bin/unoconv", line 567, in <module>
    main()
  File "/usr/bin/unoconv", line 546, in main
    convertor.convert(inputfn)
  File "/usr/bin/unoconv", line 451, in convert
    doc = self.desktop.loadComponentFromURL( inputurl , "_blank", 0, inputprops
)
__main__.IllegalArgumentException: URL seems to be an unsupported one.

    hope this helps,
-- 
Philippe Bourcier      http://bourcier.philippe.online.fr/